Chief Tools Logo
Bill.DO API v1

The billable DigitalOcean resources of an account: apps, databases, droplets, load balancers, snapshots and volumes.


List resources

GET
https://bill.do/api/v1
/accounts/{account}/resources
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctt_*)

List the billable resources of the account with their cost, newest first. Returns the resources that exist unless status says otherwise.

List resources › path Parameters

account
​integer · required

List resources › query Parameters

per_page
​integer · min: 1 · max: 100

Number of results per page.

Default: 50
page
​integer · min: 1

Page number to return.

Default: 1
type
​string | null · enum

Only return resources of this type: app, database, droplet, load_balancer, snapshot or volume.

Enum values:
app
volume
droplet
database
snapshot
load_balancer
project
​string | null · maxLength: 64

Only return resources assigned to this DigitalOcean project UUID. Needs a plan with the project filter.

status
​string | null · enum

active for resources that exist, deleted for resources that were removed from DigitalOcean, all for both.

Enum values:
active
deleted
all
Default: active
query
​string | null · maxLength: 255

Search resources by name.

List resources › Responses

Paginated set of Resource

​Resource[] · required
​object · required
​object · required